Update a Request
Update a Request. Requests outside the API key owner’s request visibility return a 404.
curl --request PUT \
--url https://api.siit.io/v1/requests/{uid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"title_markdown": "<string>",
"description_markdown": "<string>",
"priority": "medium",
"status": "open",
"snoozed_until": "2023-11-07T05:31:56Z",
"assignee_admin": "<string>",
"assignee_inbox": "<string>",
"target": "<string>",
"tags": [
"<string>"
],
"associated_apps": [
"<string>"
],
"associated_equipments": [
"<string>"
],
"custom_form_inputs": [
{
"label": "<string>",
"value": "<string>"
}
]
}
'import requests
url = "https://api.siit.io/v1/requests/{uid}"
payload = {
"title": "<string>",
"description": "<string>",
"title_markdown": "<string>",
"description_markdown": "<string>",
"priority": "medium",
"status": "open",
"snoozed_until": "2023-11-07T05:31:56Z",
"assignee_admin": "<string>",
"assignee_inbox": "<string>",
"target": "<string>",
"tags": ["<string>"],
"associated_apps": ["<string>"],
"associated_equipments": ["<string>"],
"custom_form_inputs": [
{
"label": "<string>",
"value": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
title_markdown: '<string>',
description_markdown: '<string>',
priority: 'medium',
status: 'open',
snoozed_until: '2023-11-07T05:31:56Z',
assignee_admin: '<string>',
assignee_inbox: '<string>',
target: '<string>',
tags: ['<string>'],
associated_apps: ['<string>'],
associated_equipments: ['<string>'],
custom_form_inputs: [{label: '<string>', value: '<string>'}]
})
};
fetch('https://api.siit.io/v1/requests/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"uid": "<string>",
"admin_permalink_url": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"assignee_admin": "<string>",
"assignee_admin_uid": "<string>",
"assignee_inbox": "<string>",
"assignee_inbox_uid": "<string>",
"associated_apps": [
"<string>"
],
"associated_equipments": [
"<string>"
],
"approvals": [
"<string>"
],
"attachments": [
{
"filename": "<string>",
"url": "<string>"
}
],
"author": "<string>",
"author_uid": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"completed_by": "<string>",
"completed_by_uid": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"custom_form_inputs": [
{
"kind": "attachment",
"label": "<string>",
"value": "<string>"
}
],
"description": "<string>",
"description_markdown": "<string>",
"follower_uids": [
"<string>"
],
"followers": [
"<string>"
],
"friendly_id": "<string>",
"mode": "private",
"priority": "medium",
"requested_by": "<string>",
"requested_by_uid": "<string>",
"requests_group_uid": "<string>",
"satisfaction_survey_rating": "great",
"slack_channel_id": "<string>",
"slack_direct_link": "<string>",
"slack_thread_ts": "<string>",
"slack_ts": "<string>",
"sla_data": {
"first_replied_at": "2023-11-07T05:31:56Z",
"first_completed_at": "2023-11-07T05:31:56Z",
"paused_at": "2023-11-07T05:31:56Z",
"first_reply_due_at": "2023-11-07T05:31:56Z",
"first_reply_status": "breached",
"first_completion_due_at": "2023-11-07T05:31:56Z",
"first_completion_status": "breached"
},
"snoozed_until": "2023-11-07T05:31:56Z",
"status": "open",
"submitted_from": "slack",
"tag_uids": [
"<string>"
],
"tags": [
"<string>"
],
"target": "<string>",
"target_uid": "<string>",
"title": "<string>",
"title_markdown": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
}Usage
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UID (or friendly_id) of the request
Body
Request body for updating a Request. Pass UIDs (not objects) for relationship fields.
please use "title_markdown" instead
please use "description_markdown" instead
The title of the Request, as markdown. Takes precedence over title when both are provided.
The description of the Request, as markdown. Takes precedence over description when both are provided.
low, medium, high, urgent "medium"
Request status
open, in_progress, waiting, resolved, archived Snooze the request until this datetime (ISO 8601, e.g. "2020-12-15T03:34:13.000Z"). Pass null to unsnooze. Cleared automatically when the request is resolved or archived.
The admin user assigned to this request. Pass the UID of the related object.
The team inbox assigned to this request. Pass the UID of the related object.
Service associated with this request. Pass the UID of the related object.
Tags associated with this request. Pass an array of UIDs of the related objects.
Apps associated with this request. Pass an array of UIDs of the related objects.
Equipment associated with this request. Pass an array of UIDs of the related objects.
Custom forms attached to this request
A custom form input item for request creation. Either "label" (arbitrary input) or "uid" (native input from service configuration) must be provided.
- Arbitrary input (by label)
- Native input (by uid)
Show child attributes
Show child attributes
Response
Successful
Show child attributes
Show child attributes

